# borg store

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-borgstore/status.svg)](https://drone.asperti.com/paspo/docker-borgstore)

Borg/Borgmatic store (via ssh)

## usage

Use this `docker-compose.yaml`

```yaml
services:
  borgstore:
    image: docker.asperti.com/paspo/borgstore
    ports:
      - 2222:22
    volumes:
      - ./data:/data
      - ./ssh:/ssh # add authorized_keys file here
    environment:
      USERNAME: myuser # default: borgstore
      GROUPNAME: mygroup # default: borgstore
      SSH_PUBKEY: ssh-rsa AAAAB3NzaC....  # optional
      PUID: 1000 # default: 1000
      PGID: 1000 # default: 1000
      TZ: Etc/UTC  # default: Etc/UTC
```

The `/data` directory and its contents will be chowned to `$PUID:$PGID` and chmodded to `0755` for directories and `0644` for files at container start.

You can add an optional SSH public key by using the environment variable `SSH_PUBKEY`, this variable will be used to create the `authorized_keys` file **if it doesn't exists**.
